### Signal

# Soup Message::network-event

#### Declaration

    void
    network_event (
      SoupMessage* self,
      GSocketClientEvent event,
      GIOStream* connection,
      gpointer user_data
    )

#### Description [src]

Emitted to indicate that some network-related event related to `msg` has occurred.

This essentially proxies the `GSocketClient::event` signal, but only for events that occur while `msg` “owns” the connection; if `msg` is sent on an existing persistent connection, then this signal will not be emitted. (If you want to force the message to be sent on a new connection, set the `SOUP_MESSAGE_NEW_CONNECTION` flag on it.)

See `GSocketClient::event` for more information on what the different values of `event` correspond to, and what `connection` will be in each case.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.

#### Parameters

`event`

  Type: `GSocketClientEvent`

  The network event.

`connection`

  Type: `GIOStream`

  The current state of the network connection.

  The data is owned by the caller of the function.